This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 477883 - Review Request: rubygem-nokogiri - An HTML, XML, SAX, and Reader parser
Review Request: rubygem-nokogiri - An HTML, XML, SAX, and Reader parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 477533
  Show dependency treegraph
 
Reported: 2008-12-24 13:32 EST by Mamoru TASAKA
Modified: 2015-06-21 20:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 00:30:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-12-24 13:32:27 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-nokogiri/rubygem-nokogiri.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-nokogiri/rubygem-nokogiri-1.1.0-1.fc.src.rpm
Koji scratch build
- For dist-f11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1020864
- For dist-f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1020868
Description: 
Nokogiri parses and searches XML/HTML very quickly, and also has
correctly implemented CSS3 selector support as well as XPath support.

Nokogiri also features an Hpricot compatibility layer to help ease the change
to using correct CSS and XPath.

Note:
This RubyGem based rpm creates arch-dependent binary rpms.
The following guideline [1] was approved by FPC/FESCo [2][3] and
should be applied to this package.
[1] https://fedoraproject.org/wiki/PackagingDrafts/RubyGem_with_C_code_spot
[2] http://fedoraproject.org/wiki/Packaging/Minutes/20081209
[3] https://www.redhat.com/archives/fedora-devel-list/2008-December/msg02221.html
Comment 2 Darryl L. Pierce 2009-01-17 09:20:10 EST
No license file is included in the .gem. Can you ask the upstream to put a COPYING or LICENSE file into the gem? Not a negative on the review, but a suggestion for upstream if you could pass it along.

In the spec the file hoe.rb is deleted. Is this package dependant on hoe? You should add rubygem(hoe) as a dependency.

The install target directory used is the relative path "./" rather than %{buildroot} macro. Please fix that.

Perhaps I'm misreading, but I don't see where the RPM claims to own %{geminstdir}, instead it just lists the contents of that directory. Can you make it more explicit?

For the subpackage ruby-nokogiri, the Requires: does not match the packaging guidelines: the guideline says the non-gem should require "rubygem(%{name})", but the spec file has "%{name}". Please fix that.
Comment 3 Mamoru TASAKA 2009-01-17 09:57:22 EST
Thank you for initial comments.

(In reply to comment #2)
> No license file is included in the .gem. Can you ask the upstream to put a
> COPYING or LICENSE file into the gem? Not a negative on the review, but a
> suggestion for upstream if you could pass it along.

- The license clause is included in README{,.ja}.txt.

> In the spec the file hoe.rb is deleted. Is this package dependant on hoe? You
> should add rubygem(hoe) as a dependency.

- No. This is (hoe.rb) only needed for Rakefile and so not needed at
  runtime.

> The install target directory used is the relative path "./" rather than
> %{buildroot} macro. Please fix that.

- In this case (i.e. in the case rubygem creates C module)
  the way of packaging gem into rpm is different. Actually I wrote
  the packaging draft and it was accepted by FPC/FESCo. Please refer to
  my first comment on this bug.

> 
> Perhaps I'm misreading, but I don't see where the RPM claims to own
> %{geminstdir}, instead it just lists the contents of that directory. Can you
> make it more explicit?

- Well, I already write this explicitly.
-------------------------------------------------------------
%files
%defattr(-,root, root,-)
%{ruby_sitearch}/%{gemname}/
%dir    %{geminstdir}/ <-------------------------------
%doc    %{geminstdir}/[A-Z]*
%{geminstdir}/[a-l]*/
-------------------------------------------------------------


> For the subpackage ruby-nokogiri, the Requires: does not match the packaging
> guidelines: the guideline says the non-gem should require "rubygem(%{name})",
> but the spec file has "%{name}". Please fix that.

- "Requires %{name} = %{version}-%{release}" will pull in
  rubygem(%{gemname}), and this dependency is more strict than
  "Requires: rubygem(%{gemname})", so this should be okay.
Comment 4 Darryl L. Pierce 2009-01-19 08:24:54 EST
APPROVED by Darryl Pierce (dpierce@redhat.com)
Comment 5 Mamoru TASAKA 2009-01-19 10:54:12 EST
Thank you!

New Package CVS Request
=======================
Package Name:         rubygem-nokogiri
Short Description:    An HTML, XML, SAX, and Reader parser
Owners:               mtasaka
Branches:             F-10 F-9
InitialCC:            (nobody)
Comment 6 Kevin Fenzi 2009-01-19 17:59:53 EST
cvs done.
Comment 7 Mamoru TASAKA 2009-01-20 00:30:21 EST
Rebuilt on all branches, submitted push request for F-10/9, closing.

Thank you for reviewing and CVS procedure.
Comment 8 Mark Chappell 2010-01-25 13:39:28 EST
Package Change Request
======================
Package Name: rubygem-nokogiri
New Branches: EL-4 EL-5
Owners: tremble
Comment 9 Mamoru TASAKA 2010-01-25 14:06:14 EST
@ Mark

It seems that you are not in Fedora's packager group.
Any person who wants to maintain packages on Fedora/EPEL must be in
this group and to get yourself added in package group, you
must get sponsored first:
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 10 Mamoru TASAKA 2010-01-29 14:57:18 EST
To CVS admins:
Mark is now sponsored by me. As I have no intention to maintain
packages on EPEL, I am happy with that Mark will maintain this on EPEL.
Comment 11 Kevin Fenzi 2010-01-31 14:15:18 EST
cvs done.
Comment 12 Josef Stribny 2015-02-17 08:01:35 EST
Package Change Request
======================
Package Name: rubygem-nokogiri
New Branches: epel7
Owners: jstribny humaton
Comment 13 Gwyn Ciesla 2015-02-17 08:41:55 EST
Branch exist.

Note You need to log in before you can comment on or make changes to this bug.